PmiiFacade (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.PmiiFacade class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia
Class PmiiFacade

    java.lang.Object
      com.meyling.principia.PmiiFacade

public class PmiiFacade
extends Object

Gives outside access to the application.

Version:
  $Revision: 1.12 $
Author:
  Michael Meyling

Method Summary
`static PmiiFacade` | `getInstance()` Get instance of config access.
`ModuleContext` | `getModuleContext()`
`static void` | `init()`
`static void` | `init(ModuleEventListener listener)`
`static void` | `init(ModuleEventListener listener, Log log)`
`static void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final PmiiFacade getInstance()
                                        throws IllegalStateException

  Get instance of config access. Method `init()` must have been called before.

  Returns:
    singleton, which is responsible for the outside access of this programm suite.
  Throws:
    `IllegalStateException` - `init()` wasn't called before this method call.

### init

    public static final void init()
                           throws IOException,
                                  AlreadyRunningException

  Throws:
    `IOException`
    `AlreadyRunningException`

### init

    public static final void init(ModuleEventListener listener)
                           throws IOException,
                                  AlreadyRunningException

  Throws:
    `IOException`
    `AlreadyRunningException`

### init

    public static final void init(ModuleEventListener listener,
                                  Log log)
                           throws IOException,
                                  AlreadyRunningException

  Throws:
    `IOException`
    `AlreadyRunningException`

### getModuleContext

    public final ModuleContext getModuleContext()

### shutdown

    public static void shutdown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.